Bug 1477249 - [Doc-RFE] Document multiple active MDS for CephFS
[Doc-RFE] Document multiple active MDS for CephFS
Status: VERIFIED
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0
Unspecified Unspecified
high Severity unspecified
: rc
: 3.0
Assigned To: Bara Ancincova
Ramakrishnan Periyasamy
: Documentation, FutureFeature
Depends On: 1477276
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 10:50 EDT by Anjana Suparna Sriram
Modified: 2017-10-13 14:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anjana Suparna Sriram 2017-08-01 10:50:01 EDT
Additional info: 

RHCS 3.0 Content Plan:
https://docs.google.com/document/d/1fp1j6iPr9UPHCMWqqS8QG3SXiSQ3n9Y9a1YogivhtzA/edit
Comment 8 Patrick Donnelly 2017-08-23 16:30:28 EDT
"By default, Ceph File System uses only one active MDS daemon. However, you can configure multiple active MDS daemons to scale metadata performance for large systems. The active MDS daemons will share the metadata workload with one another. Typically, systems with many clients benefit from multiple active MDS daemons. Note that systems with multiple active MDS daemons still require standby MDS daemon to remain high available."

-->

"By default, a Ceph File System uses only one active MDS daemon. However, you can configure the file system to use multiple active MDS daemons to scale metadata performance for larger workloads. The active MDS daemons will share the metadata workload with one another dynamically as metadata load patterns change. Typically, systems with many clients will benefit from multiple active MDS daemons. Note that systems with multiple active MDS daemons still require standby MDS daemons to remain highly available."
Comment 10 Ramakrishnan Periyasamy 2017-10-06 00:42:44 EDT
Not closing this bug for now, I have tests which covers some command part of the doc, will check those and close this soon.
Comment 11 Ramakrishnan Periyasamy 2017-10-13 09:36:54 EDT
Doc looks good, Moving this bug to verified state.

Note You need to log in before you can comment on or make changes to this bug.